$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.11.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.11.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '373EF279C1F1DA7846AF68DB978173B2E611CC63FF51E318C9CFA2FE7E76E925'
  checksumType = 'sha256'
  checksum64 = '373EF279C1F1DA7846AF68DB978173B2E611CC63FF51E318C9CFA2FE7E76E925'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.11-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
